# تخزين نظام الملفات

ngSurvey يخزن افتراضيًا جميع الملفات (الوسائط أو ملفات المستجيبين) داخل قاعدة بياناته. إذا رغبت في تخزين ملفات الوسائط أو المستجيبين في مجلد بدلاً من استخدام قاعدة البيانات، فستحتاج إلى إعداد Docker volume حيث سيتم تخزين بياناتك.&#x20;

فيما يلي مثال لملف Docker Compose لتشغيل ngSurvey باستخدام قاعدة بيانات MySQL ويعرّف volume مخصص باسم "ngsmedia".

```
version: '3'
volumes:
  mysql:
    driver: local
  nginx:
    driver: local
  ngsmedia:
services:
    ngsurvey:
        image: ngsurvey/ngsurveyee:latest
        restart: always
        networks:
            - default
        ports:
        - 8088:80
        depends_on:
           - mysqlngsurveydb
        volumes:
            - ngsmedia:/ngsmedia 
        command: ["./wait-for-it.sh", "mysqlngsurveydb:3306", "--", "python", "app.py"]
        environment:
           - ConnectionStrings:NGSurveyDB=Server=mysqlngsurveydb;Database=ngsurveydb53;Uid=root;Pwd=maytheforcebewithyou;
           - NGSurvey:StorageEngine=MySQL
    mysqlngsurveydb:
        image: mysql:latest
        ports:
           - 3310:3306
        cap_add:
           - SYS_NICE
        restart: always
        volumes:
           - mysql:/var/lib/mysql
        environment:
           - MYSQL_ROOT_PASSWORD=maytheforcebewithyou
        command: ['--default-authentication-plugin=mysql_native_password']   
networks:
  frontproxy_default:
    external: true        
```

بمجرد تعريف volume يمكنك تهيئته في [Filesystem storage](/ar/installation-setup/system-settings/active-directory-settings-1.md) الإعدادات.

![](/files/23c9249ff24e428239d9251eb75f541822f08749)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/docker/tkhzyn-nzam-almlfat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
